import { Task, TaskStatus } from '../types/clickup.js';
export declare function createTask(name: string, description?: string, priority?: number, status?: string): Promise<Task>;
export declare function createSubtask(parentId: string, name: string, description?: string, priority?: number, status?: string): Promise<Task>;
export declare function listTasks(listId?: string): Promise<Task[]>;
export declare function getTask(taskId: string): Promise<Task>;
export declare function updateTask(taskId: string, updates: Partial<Task>): Promise<Task>;
export declare function getListStatuses(listId: string): Promise<TaskStatus[]>;
export declare function getWorkspaces(): Promise<any[]>;
export declare function getSpaces(workspaceId: string): Promise<any[]>;
export declare function getLists(spaceId: string): Promise<any[]>;
export declare function listSubtasks(taskId: string): Promise<Task[]>;
